Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Interface GlobalPolicy

All Superinterfaces:
  JAZNPolicy

public interface GlobalPolicy
extends JAZNPolicy

This interface represents the Global JAZN Policy.

NOTE: This interface is for Oracle-internal use only and is subject to change without notice.

Method Summary
`boolean` | `createGrantee(Grantee grantee)` Creates a new grantee in this policy.
`boolean` | `dropGrantee(Grantee grantee, boolean cascade)` Drops an existing grantee from this policy.
`Collection` | `getGrantees()` Returns the grantees of this policy.

Methods inherited from interface oracle.security.jazn.policy.JAZNPolicy
`getPermissions, getPermissions, getPermissions, getPermissions, grant, hasPermission, refresh, revoke`

Method Detail

### getGrantees

    public Collection getGrantees()
                           throws JAZNException

  Returns the grantees of this policy.
  Returns:
    the grantees of this policy.
    `JAZNException`

### createGrantee

    public boolean createGrantee(Grantee grantee)
                          throws JAZNException

  Creates a new grantee in this policy.
  Parameters:
    `grantee` - the new grantee
    `JAZNException`

### dropGrantee

    public boolean dropGrantee(Grantee grantee,
                               boolean cascade)
                        throws JAZNException

  Drops an existing grantee from this policy.
  Parameters:
    `grantee` - the grantee to be dropped.
    `cascade` - whether this is a cascading drop.
    `JAZNException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.